<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kym.mapper.admin.CouponMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.kym.entity.admin.Coupon">
        <result column="id" property="id" />
        <result column="company_id" property="companyId" />
        <result column="activity_id" property="activityId" />
        <result column="name" property="name" />
        <result column="coupon_desc" property="couponDesc" />
        <result column="start_time" property="startTime" />
        <result column="end_time" property="endTime" />
        <result column="validity" property="validity" />
        <result column="receive_type" property="receiveType" />
        <result column="coupon_type" property="couponType" />
        <result column="min_service_money" property="minServiceMoney" />
        <result column="discount" property="discount" />
        <result column="allow_stacke" property="allowStacke" />
        <result column="quantity" property="quantity" />
        <result column="claimed_quantity" property="claimedQuantity" />
        <result column="used_quantity" property="usedQuantity" />
        <result column="status" property="status" />
        <result column="remark" property="remark" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id,company_id,activity_id,name, coupon_desc, start_time, end_time, validity,receive_type,coupon_type, min_service_money, discount, allow_stacke, quantity, claimed_quantity, used_quantity, status, remark,create_time,update_time
    </sql>

</mapper>
